package flex.samples.jdbc;

import org.seasar.extension.jdbc.JdbcManager;

import flex.samples.entity.Test;

/**
 * TestテーブルのJDBCクラスです。
 */
public class TestJdbc {
    
    /**
     * JDBCマネージャです。
     */
    public JdbcManager jdbcManager;

    /**
     * {@link Test}テーブルのidを元に{@link Test}情報を取得します。
     * 
     * @param test {@link Test}
     * @return Test情報
     */
    public Test getTest(Test test) {
        return jdbcManager.from(Test.class).where("id = ?", test.id).getSingleResult();
    }
}
